#' Thickness measurement of silicon wafer
#'
#' A dataset containing the thickness measurements in nm 
#' at different positions on the silicon wafer
#'
#' @format A data frame with 30 rows and 5 variables:
#' \describe{
#'   \item{pos1}{Thickness measurement at Position 1 (outer circle)}
#'   \item{pos2}{Thickness measurement at Position 2 (outer circle)}
#'   \item{pos3}{Thickness measurement at Position 3 (middle circle)}
#'   \item{pos4}{Thickness measurement at Position 4 (middle circle)}
#'   \item{pos5}{Thickness measurement at Position 5 (inner circle)}
#' }
#' @source Roes, Kit CB, and Ronald JMM Does. "Shewhart-type charts in nonstandard situations." Technometrics 37.1 (1995): 15-24
"grinder_data"

#' Bore diameter in manufacturing automotive driver gears 
#'
#' A dataset cotaining bore diameter measurements in mm
#'
#' @format A data frame with 20 rows and 5 variables:
#' \describe{
#'   \item{X1}{Diameter measurement at Position 1}
#'   \item{X2}{Diameter measurement at Position 2}
#'   \item{X3}{Diameter measurement at Position 3}
#'   \item{X4}{Diameter measurement at Position 4}
#'   \item{X5}{Diameter measurement at Position 5}
#' }
#' @source Woodall, William H. "Controversies and contradictions in statistical process control." Journal of quality technology 32.4 (2000): 341-350.
"bore_diameter_data"

"preston_data"